Main Page Groups Namespaces

# SigC::retype_slot_functor< T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > Struct Template Reference

List of all members.

## Public Types
typedef T_return | type

### template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>
struct SigC::retype_slot_functor< T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >

## Member Typedef Documentation

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>
typedef T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type

The documentation for this struct was generated from the following file:

- retype.h